create table fad_oa.sys_oa_project
(
    project_id      bigint                                  not null comment 'ID'
        primary key,
    project_name    varchar(126) default ''                 null comment '项目名称',
    project_num     varchar(64)  default ''                 null comment '项目编号',
    project_type    char                                    null comment '项目类型(1中标，2其他)',
    address         varchar(126) default ''                 null comment '项目地址',
    funds           decimal(24, 2)                          null comment '项目总款',
    functionary     varchar(32)  default ''                 null comment '项目负责人',
    begin_time      datetime                                null comment '开始日期',
    finish_time     datetime                                null comment '结束日期',
    delivery        varchar(64)                             null comment '交货期',
    guarantee       varchar(64)                             null comment '质保期',
    introduction    varchar(256) default ''                 null comment '项目介绍',
    project_grade   char         default '0'                null comment '优先级（0一般 1中 2高）',
    project_status  char         default '0'                null comment '状态（0进行中 1完结）',
    contract_id     bigint                                  null comment '关联合同ID',
    invoice_name    varchar(64) collate utf8mb4_general_ci  null comment '开票单位名称',
    invoice_number  varchar(32) collate utf8mb4_general_ci  null comment '纳税人识别号',
    invoice_address varchar(128) collate utf8mb4_general_ci null comment '开票地址电话',
    invoice_bank    varchar(128) collate utf8mb4_general_ci null comment '开户行及账号',
    accessory       text                                    null comment '附件',
    bail            json                                    null comment '履约保证金',
    remark          varchar(256)                            null comment '备注',
    create_by       varchar(32)  default ''                 null comment '创建者',
    create_time     datetime                                null comment '创建时间',
    update_by       varchar(32)  default ''                 null comment '更新者',
    update_time     datetime                                null comment '更新时间',
    is_postpone     int          default 0                  null comment '是否延期',
    postpone_reason varchar(1024)                           null comment '延期原因',
    postpone_time   datetime                                null comment '延期至日期',
    color           varchar(20)                             null comment '代表颜色'
)
    comment '项目管理表' charset = utf8mb4;

